import 'package:flutter/material.dart';
import 'package:karot_components/constant/button_enum.dart';
import 'package:karot_components/constant/text_enum.dart';

class TStyle {
  TStyle._();
  static TextStyle buttonText(
      {Color color = Colors.white,
      KRButtonSize fontSize = KRButtonSize.regular,
      bool isBold = false}) {
    return TextStyle(
        color: color,
        fontSize: fontSize.fontSize,
        fontWeight: isBold ? FontWeight.bold : FontWeight.normal);
  }

  static TextStyle textText(
      {Color color = Colors.black,
      KRTextSize fontSize = KRTextSize.body,
      bool isBold = false}) {
    return TextStyle(
        color: color,
        letterSpacing: 0.5,
        fontSize: fontSize.value,
        fontWeight: isBold ? FontWeight.bold : FontWeight.normal);
  }


}
